# Ejemplos de curvas Bezier
# Los puntos de control estn en:
# P1(1,0), P2(3,6), P4(5,3), para P3
# en tres posiciones distintas: (1,0), (3,0) y (5,0)
#
# Fraga, 8/11/2005

P1(t) = (1-t)*(1-t)*(1-t)
P2(t) = 3*t*(1-t)*(1-t)
P3(t) = 3*t*t*(1-t)
P4(t) = t*t*t

x1(t) = P1(t) + 3*P2(t) + P3(t) + 5*P4(t)
y1(t) = 3*P1(t) + 6*P2(t) + 3*P4(t)
#
x2(t) = P1(t) + 3*P2(t) + 3*P3(t) + 5*P4(t)
y2(t) = 3*P1(t) + 6*P2(t) + 3*P4(t)
#
x3(t) = P1(t) + 3*P2(t) + 5*P3(t) + 5*P4(t)
y3(t) = 3*P1(t) + 6*P2(t) + 3*P4(t)

set parametric
set trange [0:1]
set yrange [0:6]
plot x1(t), y1(t), \
	x2(t), y2(t), \
	x3(t), y3(t)

pause -1
